Foundation.h File Reference
`#include <Alembic/Util/All.h>`
`#include <Alembic/Util/Export.h>`
`#include <limits>`
`#include <utility>`
`#include <vector>`
`#include <assert.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
Include dependency graph for Foundation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Alembic
| Alembic namespace ...
namespace | Alembic::AbcCoreAbstract
namespace | Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS

## Macros

#define | INDEX_UNKNOWN 0x7fffffffffffffffLL
| Returned by (to match index_t) More...
#define | kChrono_TPOD kFloat64POD
#define | ABCA_THROW(TEXT) ABC_THROW( TEXT )
#define | ABCA_ASSERT(COND, TEXT)

## Typedefs

typedef int64_t | Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::index_t
typedef float64_t | Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::chrono_t

## Functions

ALEMBIC_EXPORT std::string | Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::GetLibraryVersion ()
ALEMBIC_EXPORT std::string | Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::GetLibraryVersionShort ()

## Macro Definition Documentation

## ABCA_ASSERT

#define ABCA_ASSERT | ( |  | COND,
|  |  | TEXT
| ) |  |

Value:
do \
{ \
if ( !( COND ) ) \
{ \
ABCA_THROW( TEXT ); \
} \
} \
while( 0 )

Definition at line 99 of file Foundation.h.

## ABCA_THROW

#define ABCA_THROW | ( |  | TEXT | ) | ABC_THROW( TEXT )

Exception types borrowed from Alembic::Util. We should probably eventually create specific exception types.

Definition at line 96 of file Foundation.h.

## INDEX_UNKNOWN

#define INDEX_UNKNOWN 0x7fffffffffffffffLL

Returned by (to match index_t)

Definition at line 65 of file Foundation.h.

## kChrono_TPOD

#define kChrono_TPOD kFloat64POD

Definition at line 73 of file Foundation.h.